### Method

# RB PlaylistManager parse_file

#### Declaration [src]

    gboolean
    rb_playlist_manager_parse_file (
      RBPlaylistManager* mgr,
      const char* uri,
      GError** error
    )

#### Description [src]

Parses a playlist file, adding entries to the database and to a new static playlist. If the playlist file includes a title, the static playlist created will have the same title.

#### Parameters

`uri`

  Type: `const char*`

  URI of the playlist to load.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE on success.